package rpgEngine.Data.Abstract.Party;

import java.util.ArrayList;
import java.util.List;

import rpgEngine.Data.Abstract.Item;


public class Inventory {
	private List<InventoryItem> items;
	
	public Inventory() {
		items = new ArrayList<InventoryItem>();
	}

	public List<InventoryItem> getItems() {
		return items;
	}

	public void addItemToInventory(Item item) {
		InventoryItem invItem = null;
		Boolean isInInventory = false;
		
		for(int i = 0; i < items.size(); i++) {
			invItem = items.get(i);
			
			if(invItem.getItem() == item) {
				isInInventory = true;
				invItem.setQuantity(invItem.getQuantity()+1);
			}
		}
		
		if(isInInventory == false) {
			invItem = new InventoryItem(item,1);
			items.add(invItem);
		}
		
	}
	
	public void removeItemFromInventory(Item item) {
		InventoryItem invItem = null;
		
		for(int i = 0; i < items.size(); i++) {
			invItem = items.get(i);
			
			if(invItem.getItem() == item) {
				invItem.setQuantity(invItem.getQuantity()-1);
				
				if(invItem.getQuantity() <= 0) {
					items.remove(invItem);
				}
			}
		}
	}
}
